# SysSettingService
> 系统设置管理服务

---

## readSysSetting
> 读取配置

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/SysSettingService/readSysSetting`
- RPC：`rpc readSysSetting (ReadSysSettingRequest) returns (ReadSysSettingResponse);`

**请求对象 (`ReadSysSettingRequest`)**

```json
{
  "code": "string"
}
```

**响应对象 (`ReadSysSettingResponse`)**

```json
{
  "valueJSON": "bytes"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/SysSettingService/readSysSetting" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## readSysSettingUniqueKey
> 读取节点唯一键的哈希代码

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/SysSettingService/readSysSettingUniqueKey`
- RPC：`rpc readSysSettingUniqueKey (ReadSysSettingUniqueKeyRequest) returns (ReadSysSettingUniqueKeyResponse);`

**请求对象 (`ReadSysSettingUniqueKeyRequest`)**

```json
{}
```

**响应对象 (`ReadSysSettingUniqueKeyResponse`)**

```json
{
  "uniqueKey": "string"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/SysSettingService/readSysSettingUniqueKey" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateSysSetting
> 更改配置

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/SysSettingService/updateSysSetting`
- RPC：`rpc updateSysSetting (UpdateSysSettingRequest) returns (RPCSuccess);`

**请求对象 (`UpdateSysSettingRequest`)**

```json
{
  "code": "string",
  "valueJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/SysSettingService/updateSysSetting" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateSysSettingUniqueKey
> 更改节点唯一键的哈希代码

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/SysSettingService/updateSysSettingUniqueKey`
- RPC：`rpc updateSysSettingUniqueKey (UpdateSysSettingUniqueKeyRequest) returns(UpdateSysSettingUniqueKeyResponse);`

**请求对象 (`UpdateSysSettingUniqueKeyRequest`)**

```json
{}
```

**响应对象 (`UpdateSysSettingUniqueKeyResponse`)**

```json
{
  "uniqueKey": "string"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/SysSettingService/updateSysSettingUniqueKey" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
